SDL_AudioDeviceItem Struct Reference

`#include <SDL_sysaudio.h>`

Collaboration diagram for SDL_AudioDeviceItem:
[legend]

## Data Fields

void * | handle
struct SDL_AudioDeviceItem * | next
char | name []

## Detailed Description

Definition at line 98 of file SDL_sysaudio.h.

## Field Documentation

void* SDL_AudioDeviceItem::handle

Definition at line 100 of file SDL_sysaudio.h.

Referenced by add_audio_device(), clean_out_device_list(), free_device_list(), mark_device_removed(), and open_audio_device().

char SDL_AudioDeviceItem::name[]

Definition at line 105 of file SDL_sysaudio.h.

Referenced by add_audio_device(), and open_audio_device().

struct SDL_AudioDeviceItem* SDL_AudioDeviceItem::next

Definition at line 101 of file SDL_sysaudio.h.

Referenced by add_audio_device(), clean_out_device_list(), free_device_list(), mark_device_removed(), open_audio_device(), and SDL_GetAudioDeviceName().

The documentation for this struct was generated from the following file:

- src/audio/SDL_sysaudio.h